<?php
require("../../database/dbConection.php");

# --- Atualizar Status do proceso em Agendamento --- #

switch($_POST['opcaoAtualizacao']){
  case "exportado-esus-reg":
    $idSolicitacao  = $_POST['idSolicitacao'];
    $valorExportado = $_POST['valorExportado'];
    $stmAtualizarExportado = $rsConexao->prepare("UPDATE reg_tb_solicitacoes SET oci_migrou_paraesus='$valorExportado' WHERE id_solicitacao='$idSolicitacao'");
    $stmAtualizarExportado -> execute();
    break;
  
  case "status-agendamento-oci":
		$idPaciente               = $_POST['idPaciente'];
		$idSolicitacao            = $_POST['idSolicitacao'];
    $idProcedimentoAssociado  = $_POST['idProcedimentoAssociado'];
    $idProcedimentoOCI        = $_POST['idProcedimentoOCI'];
    $codigoSUS                = $_POST['codigoSUS'];    
    $valorStatus              = $_POST['valorStatus'];
    $sqlAtualizarStatus = "UPDATE reg_tb_agendamentos_oci
    SET status_agendamento='$valorStatus'
    WHERE (id_paciente='$idPaciente') 
    AND (id_solicitacao='$idSolicitacao') 
    AND (id_procedimento_oci='$idProcedimentoOCI')
    AND (id_procedimento_associado='$idProcedimentoAssociado')";
    $stmAtualizarStatus = $rsConexao->prepare($sqlAtualizarStatus);
    $stmAtualizarStatus -> execute();

    # -- Atualiza status exames de laboratório
    if($codigoSUS=="0201020041"){
      $sqlAtualizaLab = "UPDATE reg_tb_procedimento 
      INNER JOIN reg_tb_agendamentos_oci ON reg_tb_procedimento.id_procedimento = reg_tb_agendamentos_oci.id_procedimento_associado
      SET status_agendamento='$valorStatus'
      WHERE (reg_tb_procedimento.codigo_sus LIKE '0202%')
      AND (id_paciente='$idPaciente') 
      AND (id_solicitacao='$idSolicitacao') 
      AND (id_procedimento_oci='$idProcedimentoOCI')";
      $stmAtualizaLab = $rsConexao->prepare($sqlAtualizaLab);
      $stmAtualizaLab ->execute();
    }
    break;

  case "resultado-exame-oci":
		$idPaciente  = $_POST['idPaciente'];
		$idSolicitacao = $_POST['idSolicitacao'];
    $idProcedimentoAssociado = $_POST['idProcedimentoAssociado'];
    $idProcedimentoOCI  = $_POST['idProcedimentoOCI'];
    $codigoSUS                = $_POST['codigoSUS'];    
    $valorStatus   = $_POST['valorStatus'];
    $sqlAtualizarStatus = "UPDATE reg_tb_agendamentos_oci
    SET resultado_exame='$valorStatus'
    WHERE (id_paciente='$idPaciente') 
    AND (id_solicitacao='$idSolicitacao') 
    AND (id_procedimento_oci='$idProcedimentoOCI')
    AND (id_procedimento_associado='$idProcedimentoAssociado')";
    $stmAtualizarStatus = $rsConexao->prepare($sqlAtualizarStatus);
    $stmAtualizarStatus -> execute();

    # -- Atualiza status exames de laboratório
    if($codigoSUS=="0201020041"){
      $sqlAtualizaLab = "UPDATE reg_tb_procedimento 
      INNER JOIN reg_tb_agendamentos_oci ON reg_tb_procedimento.id_procedimento = reg_tb_agendamentos_oci.id_procedimento_associado
      SET resultado_exame='$valorStatus'
      WHERE (reg_tb_procedimento.codigo_sus LIKE '0202%')
      AND (id_paciente='$idPaciente') 
      AND (id_solicitacao='$idSolicitacao') 
      AND (id_procedimento_oci='$idProcedimentoOCI')";
      $stmAtualizaLab = $rsConexao->prepare($sqlAtualizaLab);
      $stmAtualizaLab ->execute();
    }

    break;
  case "observacao-cuidado-oci":
		$idSolicitacao = $_POST['idSolicitacao'];
    $observacaoCuidado = $_POST['observacaoCuidado'];
    $stmAtualizarObs = $rsConexao->prepare("UPDATE reg_tb_solicitacoes SET observacao_agendamento_oci='$observacaoCuidado' WHERE id_solicitacao='$idSolicitacao'");
    $stmAtualizarObs ->execute();
    break;
}


?>